Lavalite package that provides contact_form management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `contact_form/contact_form`.

    "contact_form/contact_form": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    ContactForm\ContactForm\Providers\ContactFormServiceProvider::class,

And also add it to alias

    'ContactForm'  => ContactForm\ContactForm\Facades\ContactForm::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=ContactForm\\ContactFormTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="ContactForm\ContactForm\Providers\ContactFormServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="ContactForm\ContactForm\Providers\ContactFormServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="ContactForm\ContactForm\Providers\ContactFormServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/contact_form/{modulename}

**User**

    http://path-to-route-folder/user/contact_form/{modulename}

**Public**

    http://path-to-route-folder/contact_forms


### API endpoints

**List**

    http://path-to-route-folder/api/user/contact_form/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/contact_form/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/contact_form/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/contact_form/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/contact_form/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/contact_form/{modulename}/{slug}
    METHOD: GET